#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace PerformanceDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private int i;
        public MainWindow()
        {
            InitializeComponent();
            i = 41;
        }

        private void datagrid_Loaded(object sender, RoutedEventArgs e)
        {
            (this.DataContext as StocksViewModel).StartTimer();
           
        }

        private void datagrid_Unloaded(object sender, RoutedEventArgs e)
        {
            (this.DataContext as StocksViewModel).StopTimer();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Stopwatch watch = new Stopwatch();
            watch.Start();
            loaddatas();
            watch.Stop();            
            watch.Reset();            
        }


        public void loaddatas()
        {
            for (int i = 0; i <= 10000; i++)
            {
               
                Random r = new Random(123345345);
                var index = r.Next(1, 10);
                var data = (this.datagrid.DataContext as StocksViewModel).Stocks;
                var newRec = new StockData();
                double d = r.NextDouble();
                newRec.Column1 = Math.Round(r.NextDouble() * 30, 2);
                newRec.Column2 = r.Next();
                newRec.Column3 = Math.Round(r.NextDouble() * 10, 2);
                newRec.Column4 = r.Next();
                newRec.Column5 = r.Next();
                newRec.Column6 = r.Next();
                newRec.Column7 = Math.Round((1 + r.NextDouble() * 30));
                newRec.Column8 = Math.Round((1 + r.NextDouble() * 5));
                newRec.Column9 = r.Next();
                newRec.Column10 = r.Next();
                newRec.Column11 = Math.Round((1 + r.NextDouble() * 30));
                newRec.Column12 = r.Next();
                newRec.Column13 = r.Next();
                newRec.Column14 = r.Next();
                newRec.Column15 = Math.Round((1 + r.NextDouble() * 2));
                newRec.Column16 = r.Next();
                newRec.Column17 = r.Next();
                newRec.Column18 = r.Next();
                newRec.Column19 = Math.Round((1 + r.NextDouble() * 20));
                newRec.Column20 = r.Next();
                newRec.Column21 = r.Next();
                newRec.Column22 = Math.Round((1 + r.NextDouble() * 10));
                newRec.Column23 = r.Next();
                newRec.Column24 = r.Next();
                newRec.Column25 = r.Next();
                newRec.Column26 = Math.Round((1 + r.NextDouble() * 30));
                newRec.Column27 = r.Next();
                newRec.Column28 = r.Next();
                newRec.Column29 = r.Next();
                newRec.Column30 = Math.Round((1 + r.NextDouble() * 5));
                newRec.Column31 = r.Next();
                newRec.Column32 = r.Next();
                newRec.Column33 = r.Next();
                newRec.Column34 = Math.Round((1 + r.NextDouble() * 20));
                newRec.Column35 = r.Next();
                newRec.Column36 = r.Next();
                newRec.Column37 = Math.Round((1 + r.NextDouble() * 50));
                newRec.Column38 = r.Next();
                newRec.Column39 = r.Next();
                newRec.Column40 = r.Next();
                data.Insert(index,newRec);                
            }
        }

    }
}
